NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Attributes | List of all members
NXOpen.Routing.BendReportManager.SegmentInformation Struct Reference

Used by all the reports to hold the information of the segments under port, solid body, segment, stock, stock component, or feature representing the piece of stock. More...

Public Attributes

NXOpen.Routing.BendCorner BendCorner
 Routing.BendCorner More...
 
NXOpen.Point3d BendPosition
 Position of the bend rcp More...
 
double BendRadius
 Radius of the bend More...
 
NXOpen.Routing.ControlPoint EndControlPoint
 End Routing.ControlPoint . More...
 
NXOpen.Point3d EndControlPointPosition
 Location of end Routing.ControlPoint in ABS coordinates, use this instead of the end Routing.ControlPoint for S-Bends and bends greater than or equal to 180 degrees. More...
 
NXOpen.Vector3d EndNormal
 Normal of curve at end points More...
 
bool IsStraight
 True if the Routing.ISegment is straight. More...
 
double Length
 Length of Routing.ISegment More...
 
NXOpen.Curve Segment
 The segment itself. More...
 
NXOpen.Routing.ControlPoint StartControlPoint
 Start Routing.ControlPoint . More...
 
NXOpen.Point3d StartControlPointPosition
 Location of start Routing.ControlPoint in ABS coordinates, use this instead of the start Routing.ControlPoint for S-Bends and bends greater than or equal to 180 degrees. More...
 
NXOpen.Vector3d StartNormal
 Normal of curve at start points More...
 
NXOpen.Routing.Stock Stock
 Routing.Stock More...
 

Detailed Description

Used by all the reports to hold the information of the segments under port, solid body, segment, stock, stock component, or feature representing the piece of stock.

Generated by calling Routing.BendReportManager.GetSegmentInformation .

Member Data Documentation

NXOpen.Routing.BendCorner NXOpen.Routing.BendReportManager.SegmentInformation.BendCorner
NXOpen.Point3d NXOpen.Routing.BendReportManager.SegmentInformation.BendPosition

Position of the bend rcp

double NXOpen.Routing.BendReportManager.SegmentInformation.BendRadius

Radius of the bend

NXOpen.Routing.ControlPoint NXOpen.Routing.BendReportManager.SegmentInformation.EndControlPoint

End Routing.ControlPoint .

Do not use for S-Bends and bends greater than or equal to 180 degrees.

NXOpen.Point3d NXOpen.Routing.BendReportManager.SegmentInformation.EndControlPointPosition

Location of end Routing.ControlPoint in ABS coordinates, use this instead of the end Routing.ControlPoint for S-Bends and bends greater than or equal to 180 degrees.

NXOpen.Vector3d NXOpen.Routing.BendReportManager.SegmentInformation.EndNormal

Normal of curve at end points

bool NXOpen.Routing.BendReportManager.SegmentInformation.IsStraight

True if the Routing.ISegment is straight.

double NXOpen.Routing.BendReportManager.SegmentInformation.Length
NXOpen.Curve NXOpen.Routing.BendReportManager.SegmentInformation.Segment

The segment itself.

NXOpen.Routing.ControlPoint NXOpen.Routing.BendReportManager.SegmentInformation.StartControlPoint

Start Routing.ControlPoint .

Do not use for S-Bends and bends greater than or equal to 180 degrees.

NXOpen.Point3d NXOpen.Routing.BendReportManager.SegmentInformation.StartControlPointPosition

Location of start Routing.ControlPoint in ABS coordinates, use this instead of the start Routing.ControlPoint for S-Bends and bends greater than or equal to 180 degrees.

NXOpen.Vector3d NXOpen.Routing.BendReportManager.SegmentInformation.StartNormal

Normal of curve at start points

NXOpen.Routing.Stock NXOpen.Routing.BendReportManager.SegmentInformation.Stock

The documentation for this struct was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.